#!/usr/bin/perl

use strict;

use CORBA::ORBit idl => [ "tcpmcu.idl" ];

my $orb = CORBA::ORB_init("orbit-local-orb");

open IOR, "/tmp/tcpmcu.ior"
    or die "Couldn't open /tmp/tcpmcu.ior\n";
my $IOR = <IOR>;
close IOR;

my $tcpmcu = $orb->string_to_object($IOR);

my $userlist = $tcpmcu->listusers();

for my $user (@$userlist) {
    printf "%2d %s %40s\n",
    $$user{connection}, ($$user{inputEnabled} ? "+" : "-"), $$user{ipaddr};
}
